6.0.0-git
2021-01-18

[#12889] Add joomla-md5 encryption scheme to Horde_Auth
Summary Add joomla-md5 encryption scheme to Horde_Auth
Queue Horde Framework Packages
Queue Version Git master
Type Enhancement
State Resolved
Priority 1. Low
Owners lang (at) b1-systems (dot) de
Requester lang (at) b1-systems (dot) de
Created 2013-12-26 (2580 days ago)
Due
Updated 2014-03-21 (2495 days ago)
Assigned
Resolved 2014-03-21 (2495 days ago)
Milestone
Patch No

History
2014-03-21 13:39:25 Jan Schneider Assigned to Ralf Lang (B1 Systems GmbH)
State ⇒ Resolved
 
2014-02-06 09:32:16 Git Commit Comment #4 Reply to this comment
Changes have been made in Git (master):

commit 8233a6190f8a1d57ccb4a7af490631e09a623d19
Author: Ralf Lang <lang@b1-systems.de>
Date:   Thu Feb 6 10:31:08 2014 +0100

     [rla] Add joomla-md5 encryption option for SQL backends (Request #12889).

  horde/config/conf.xml |    2 ++
  horde/docs/CHANGES    |    1 +
  horde/package.xml     |    1 +
  3 files changed, 4 insertions(+), 0 deletions(-)

http://git.horde.org/horde-git/-/commit/8233a6190f8a1d57ccb4a7af490631e09a623d19
2013-12-26 19:19:44 Git Commit Comment #3 Reply to this comment
Changes have been made in Git (master):

commit b0aa3a9a9c9ccd436dccf397e88d889a29c79cc7
Author: Ralf Lang <lang@b1-systems.de>
Date:   Thu Dec 26 21:19:23 2013 +0200

     [rla] Add joomla encrypted password format (Enhancement #12889).

  framework/Auth/package.xml |    2 ++
  1 files changed, 2 insertions(+), 0 deletions(-)

http://git.horde.org/horde-git/-/commit/b0aa3a9a9c9ccd436dccf397e88d889a29c79cc7
2013-12-26 19:19:41 Git Commit Comment #2 Reply to this comment
Changes have been made in Git (master):

commit 1950a8ab8e8a556dd6b32626506530c81c211e27
Author: Ralf Lang <lang@b1-systems.de>
Date:   Thu Dec 26 21:15:00 2013 +0200

     Add Joomla password format for authentication  #12889

  framework/Auth/lib/Horde/Auth.php |    7 ++++++-
  1 files changed, 6 insertions(+), 1 deletions(-)

http://git.horde.org/horde-git/-/commit/1950a8ab8e8a556dd6b32626506530c81c211e27
2013-12-26 19:13:53 Ralf Lang (B1 Systems GmbH) Comment #1
Type ⇒ Enhancement
State ⇒ New
Priority ⇒ 1. Low
Summary ⇒ Add joomla-md5 encryption scheme to Horde_Auth
Queue ⇒ Horde Framework Packages
Milestone ⇒
Patch ⇒ No
Reply to this comment
Add support for authentication against the joomla password db format 
which is: md5(password.salt):md5(salt)


Saved Queries